Subject: [BEHAVE] Two questions about draft-zhou-behave-syslog-nat-logging-00

From: [email-masked]
Date: Tue, 10 Jul 2012 17:52:59 +0800

Hi  Chen：

   I have read the draft about NAT syslog logging. Here are two questions.

   1) In section 1.1 you summarize 4 solution, I think the content of 
draft is about the first solution, am I right?

   2) The draft wants to  present us a kind of message format or even a 
kind of log format about NAT syslog . Is it the key of the text?

Thanks,
W. Meng

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail (and any attachment transmitted herewith) is privileged and confidential and is intended for the exclusive use of the addressee(s).  If you are not an intended recipient, any disclosure, reproduction, distribution or other dissemination or use of the information contained is strictly prohibited.  If you have received this mail in error, please delete it and notify us immediately.

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Tue, 10 Jul 2012 12:28:30 +0200

> kind of log format about NAT syslog . Is it the key of the text?

As far as I can tell, the I-D redefines RFC 5424 message formats
(e.g. the TIMESTAMP in section 4.1.1.3), which is not appropriate. It
also adds new supposedly machine readable content in an ad-hoc way
(section 4.1.2) rather than defining proper structured data
elements. I suggest to remove all text discussing RFC 5424 elements
that do not (and must not) change and instead to focus on properly
defining the new structured data elements considered useful for NATs.

I can't comment on the RADIUS specific text but it might be useful to
factor RADIUS specific things out into a separate document.

The discussion of performance and reliability requirements likely does
not belong into this document if it aims are being a technical
protocol specification. Some of these requirements depend on
deployment requirements or even legal frameworks.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "Zhouqian (Cathy)" <[email-masked]>
Date: Wed, 11 Jul 2012 02:02:33 +0000

Hi Juergen,

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Juergen Schoenwaelder
Sent: Tuesday, July 10, 2012 6:29 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [BEHAVE] Two questions about draft-zhou-behave-syslog-nat-logging-00

Cathy: Thanks for your comments, and you are right. We will update it.

I can't comment on the RADIUS specific text but it might be useful to
factor RADIUS specific things out into a separate document.
Cathy: We can keep this section and get specific extensions out of the document.

The discussion of performance and reliability requirements likely does
not belong into this document if it aims are being a technical
protocol specification. Some of these requirements depend on
deployment requirements or even legal frameworks.
Cathy: I am also not sure if it is appropriate to put the performance requirements here. 
My intention is to provide some guides for deployment.

Cathy 
 
/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave